"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_stack_info_frame
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_stack_info_frame class methodsFor:'documentation'!

documentation
"
The `-stack-info-frame' Command
-------------------------------

Synopsis
........

      -stack-info-frame

   Get info on the selected frame.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `info frame' or
`frame' (without arguments).

Example
.......

     (gdb)
     -stack-info-frame
     ^done,frame={level='1',addr='0x0001076c',func='callee3',
     file='../../../devo/gdb/testsuite/gdb.mi/basics.c',
     fullname='/home/foo/bar/devo/gdb/testsuite/gdb.mi/basics.c',line='17'}
     (gdb)


"
! !

!GDBMI_stack_info_frame methodsFor:'accessing'!

operation
	^ 'stack-info-frame'
! !

!GDBMI_stack_info_frame methodsFor:'accessing-descriptors'!

resultDescription
    ^ (super resultDescription)
        define:#frame as:GDBFrame;
        yourself

    "Created: / 19-03-2015 / 08:29:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

