"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_target_select
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_select class methodsFor:'documentation'!

documentation
"
The `-target-select' Command
----------------------------

Synopsis
........

      -target-select TYPE PARAMETERS ...

   Connect {No value for `GDBN'} to the remote target.  This command
takes two args:

`TYPE'
     The type of target, for instance `remote', etc.

`PARAMETERS'
     Device names, host names and the like.  *Note Commands for
     Managing Targets: Target Commands, for more details.

   The output is a connection notification, followed by the address at
which the target program is, in the following form:

     ^connected,addr='ADDRESS',func='FUNCTION NAME',
       args=[ARG LIST]

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `target'.

Example
.......

     (gdb)
     -target-select remote /dev/ttya
     ^connected,addr='0xfe00a300',func='??',args=[]
     (gdb)


"
! !

!GDBMI_target_select methodsFor:'accessing'!

operation
	^ 'target-select'
! !

