"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_thread_list_ids
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_thread_list_ids class methodsFor:'documentation'!

documentation
"
The `-thread-list-ids' Command
------------------------------

Synopsis
........

      -thread-list-ids

   Produces a list of the currently known {No value for `GDBN'} thread
ids.  At the end of the list it also prints the total number of such
threads.

   This command is retained for historical reasons, the `-thread-info'
command should be used instead.

{No value for `GDBN'} Command
.............................

Part of `info threads' supplies the same information.

Example
.......

     (gdb)
     -thread-list-ids
     ^done,thread-ids={thread-id='3',thread-id='2',thread-id='1'},
     current-thread-id='1',number-of-threads='3'
     (gdb)


"
! !

!GDBMI_thread_list_ids methodsFor:'accessing'!

operation
	^ 'thread-list-ids'
! !

!GDBMI_thread_list_ids methodsFor:'accessing-descriptors'!

resultDescription     
    ^ (super resultDescription)
        define:#'thread-ids' as:Array of:Integer;
        define:#'current-thread-id' as: Integer;
        define:#'number-of-threads' as: Integer;
        yourself

    "
    GDBMI_thread_list_ids new resultDescription
    "

    "Created: / 19-03-2015 / 08:35:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

